ch.qos.logback.core.util

## Enum AggregationType

- java.lang.Object
- - java.lang.Enum<AggregationType>
  - - ch.qos.logback.core.util.AggregationType

All Implemented Interfaces:
  Serializable, Comparable<AggregationType>

    public enum AggregationType
    extends Enum<AggregationType>

AggregationType classifies how one object is contained within another object. See also http://en.wikipedia.org/wiki/Class_diagram and http://en.wikipedia.org/wiki/Object_composition

Author:
  Ceki Gulcu

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AS_BASIC_PROPERTY`
`AS_BASIC_PROPERTY_COLLECTION`
`AS_COMPLEX_PROPERTY`
`AS_COMPLEX_PROPERTY_COLLECTION`
`NOT_FOUND`

### Method Summary

All Methods Static Methods Concrete Methods
`static AggregationType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AggregationType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NOT_FOUND

    public static final AggregationType NOT_FOUND

#### AS_BASIC_PROPERTY

    public static final AggregationType AS_BASIC_PROPERTY

#### AS_COMPLEX_PROPERTY

    public static final AggregationType AS_COMPLEX_PROPERTY

#### AS_BASIC_PROPERTY_COLLECTION

    public static final AggregationType AS_BASIC_PROPERTY_COLLECTION

#### AS_COMPLEX_PROPERTY_COLLECTION

    public static final AggregationType AS_COMPLEX_PROPERTY_COLLECTION

### Method Detail

#### values

    public static AggregationType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AggregationType c : AggregationType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AggregationType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null